package com.pruebasaplicacion.sergimeli.bletests.modelo;

/**
 * Created by Elerionfly on 22/07/2016.
 * Modelo para la creación de un usuario en la base de datos
 */
public class Usuario {

    public String idUsuario;
    public String UsuarioDevice;
    public String nombre;
    public String altura;
    public String peso;
    public String zancada;
    public String lastlog;
    public int RetoDiario;
    public int RetoCompleatado;

    /**
     * Constructor base de Usuario que necesita:
     * @param idUsuario una id de Usuario, pk. Si no se conoce se generá aleatoria
     * @param usuarioDevice un dispositivo para ligar al usuario como fk
     * @param nombre del usuario
     * @param altura del usuario
     * @param peso del usuario
     * @param zancada del usuario. Default = 0.
     * @param lastlg última fecha de conexión del usuario
     * @param RetoDiario reto diario a completar. Default = 0.
     * @param RetoCompletado reto diario completdo. Default = 0.
     */
    public Usuario(String idUsuario,
                   String usuarioDevice,
                   String nombre,
                   String altura,
                   String peso,
                   String zancada,
                   String lastlg,
                   int RetoDiario,
                   int RetoCompletado){

        this.idUsuario = idUsuario;
        this.UsuarioDevice = usuarioDevice;
        this.nombre = nombre;
        this.altura = altura;
        this.peso = peso;
        this.zancada = zancada;
        this.lastlog = lastlg;
        this.RetoDiario = RetoDiario;
        this.RetoCompleatado = RetoCompletado;
    }

}
